﻿/*
    CSS-kod till RWD
*/
*{
    font-family: Verdana;
    box-sizing: border-box;
}

header {
    background-color:black;
    color:white;
    text-align:center;
    padding:5px;	 
    width: 100%;
}

nav{
    height: fit-content;        
}

section {
    padding:10px;	 	 
}

aside {
    background-color:#cccccc;
    padding:5px;
    height: fit-content;        
}

footer {
    background-color:black;
    color:white;
    text-align:center;
    padding:5px;	 
    margin-top:auto;	 
    width: 100%;
}

nav ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

nav li a {
    display: block;
    color: rgb(220, 141, 57);
    padding: 20px;
    text-decoration: none;
    text-align:center;
    background-color: #ffd75e;
    margin-top: 5px;
}

nav li a:hover {
    background-color: #ffad3a;
    color: rgb(255, 230, 90);
}

#flex {
    display: flex;
    flex-wrap: wrap;
    min-height:100vh;
}
picture img{
    width: 550px;
    max-width: 100%;
}
iframe{
    max-width: 100%;
}
/* ---- BREAKPOINTS ---- */


@media only screen and (max-width: 768px) {
    nav{width: 100%;}
    section{width: 100%;}
    aside{width: 100%;}
}


@media only screen and (min-width: 768px) {
    nav{width: 25%;}
    section{width: 75%;}
    aside{width: 100%;}
}


@media only screen and (min-width: 992px) {
    nav{width: 25%;}
    section{width: 58%;}
    aside{width: 17%;}
}

@media only screen and (min-width: 1200px) {


    nav ul{
        display: flex;
    }

    nav ul li{
        margin-top: 0;   
        margin-right: 10px; 
    }

    nav{
        width: 100%;
    }
    section{
        width: 83%;
    }
    aside{
        width: 17%;
    }
}
